## org.aspectj.lang.reflect
Class NoSuchAdviceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.aspectj.lang.reflect.NoSuchAdviceException

All Implemented Interfaces:
  java.io.Serializable

    public class NoSuchAdviceException

extends java.lang.Exception

Thrown when AjType.getDeclaredAdvice is called with an advice name and no matching advice declaration can be found.

See Also:
  Serialized Form

Constructor Summary
`NoSuchAdviceException(java.lang.String name)`

Method Summary
`java.lang.String` `getName()` The advice name that could not be found.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchAdviceException

    public NoSuchAdviceException(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  The advice name that could not be found.